function [imarray,movieframes] = MakeEllipseMovie(aspectratio)
% aspectratio:  of teh ellipse (should be [0,1])


%imsize = 512;
imsize = 64;
T = 32;
[X,Y]=meshgrid( 2*pi*(0:(imsize-1))/imsize,2*pi*(0:(imsize-1))/imsize);
mask = exp(-0.5*((X-pi).^2+(Y-pi).^2));

Z = [(X(:)-pi)  (Y(:)-pi)]';
theta = -pi/4:(pi/2)/(T-1):pi/4;
A = diag([1 aspectratio]);

for t=1:T,
    R=[cos(theta(t)) -sin(theta(t)); sin(theta(t)) cos(theta(t))];
    C=R*A*A*R;
    imarray(:,:,t) = reshape(sum((A*R*Z).^2),imsize,imsize)<pi;
    %imarray(:,:,t) = mask.*imarray(:,:,t);
    movieframes(t) = im2frame(uint8(imarray(:,:,t)*256),gray(256));
end
